Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 356743

Summary: dev-java/icedtea fails to build with media-libs/libpng-1.5
Product: Gentoo Linux Reporter: Alexis Ballier <aballier>
Component: [OLD] JavaAssignee: Java team <java>
Status: RESOLVED FIXED    
Severity: normal CC: gnu_andrew
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on: 361921    
Bug Blocks: 354479    
Attachments: fix

Description Alexis Ballier gentoo-dev 2011-02-27 19:21:10 UTC
patch following
Comment 1 Alexis Ballier gentoo-dev 2011-02-27 19:22:11 UTC
Created attachment 264087 [details, diff]
fix

no clue how to upstream this, please do it
Comment 2 Petteri R├Ąty (RETIRED) gentoo-dev 2011-02-27 19:52:43 UTC
(In reply to comment #1)
> Created an attachment (id=264087) [details]
> fix
> 
> no clue how to upstream this, please do it
> 

OpenJDK bugzilla can be found through here:
http://openjdk.java.net/groups/web/bugzilla.html

I don't have an account there but maybe someone else already has.
Comment 3 Vlastimil Babka (Caster) (RETIRED) gentoo-dev 2011-03-02 13:16:05 UTC
(In reply to comment #1)
> Created an attachment (id=264087) [details]
> fix
> 
> no clue how to upstream this, please do it
> 

Andrew: could you include this in icedtea? Or want a bug open there?
Comment 4 Vlastimil Babka (Caster) (RETIRED) gentoo-dev 2011-03-02 13:27:53 UTC
Also, is the change compatible with 1.4 or the dep would have to be bumped?
Comment 5 Alexis Ballier gentoo-dev 2011-03-02 14:00:16 UTC
(In reply to comment #4)
> Also, is the change compatible with 1.4 or the dep would have to be bumped?
> 

all the functions are in 1.2.44; didnt check older versions but this probably goes down to 1.1 something
Comment 6 Andrew John Hughes 2011-03-02 14:16:47 UTC
Upstream is http://icedtea.classpath.org

I'll look at getting this in ASAP.  When will libpng 1.5 hit Gentoo?
Comment 7 Andrew John Hughes 2011-04-04 15:45:52 UTC
Fixed in IcedTea6 1.10.1 and now supported in java-overlay:

http://blog.fuseyism.com/index.php/2011/04/04/icedtea6-1101-released/
Comment 8 Andrew John Hughes 2011-04-04 15:46:53 UTC
https://bugs.gentoo.org/show_bug.cgi?id=361921
Comment 9 Vlastimil Babka (Caster) (RETIRED) gentoo-dev 2011-04-22 14:54:51 UTC
Fixed in dev-java/icedtea-6.1.10.1 and dev-java/icedtea6-bin-1.10.1. Older versions have dep changed to =libpng-1.4* until they are removed.